Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 86214 - System frezees at least once a day regardless of work it performs
Summary: System frezees at least once a day regardless of work it performs
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 8.0
Hardware: i686
OS: Linux
medium
high
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-17 10:53 UTC by AMur
Modified: 2007-04-18 16:52 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-03-26 12:13:52 UTC


Attachments (Terms of Use)

Description AMur 2003-03-17 10:53:35 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20021130

Description of problem:
I'm running RedHat 8.0 with kernel 2.4.18-14 on Dell Precision 450 workstation.
Hardware installed: 2xPentium 4 Xeon 2.8 GHz proccessors, 2.0G SDRAM, 2x 100G
HDD (Western Digital WD1200JB-75CRA0) and 82545EM Gigabit Network controller.
I've recompiled the kernel with only the following changes from standart SMP
configuration: added NTFS support, removed PCMCIA stuff. The system keeps
freezing, at least once a day with no pattern visible - sometimes as I type,
sometimes when running heavy calculations, sometimes even when only activity is
screensaver. After reading the forums I've found that driver for Gigabit nic may
be responsible for freeze. I obtained latest (4.4-12) driver from Intel and
compiled it, with no change to the problem.

Version-Release number of selected component (if applicable):
kernel-2.4.18-14smp

How reproducible:
Always

Steps to Reproduce:
1. Boot the system, wait for couple of hours
.
    

Actual Results:  System freezes -- no response to mouse, keyboard, network, etc.

Expected Results:  Working system

Additional info:

Comment 1 Arjan van de Ven 2003-03-17 10:55:44 UTC
can you paste the output of lsmod ?
also can you try adding "nmi_watchdog=1" to the vmlinuz line in  the
/boot/grub/grub.conf file, this will enable a kernel deadlock detector.

note: you kernel is quite a few security and bugfix errata behind 

Comment 2 AMur 2003-03-26 12:13:52 UTC
Issue resolved by upgrading to kernel-2.14.18-27smp 


Note You need to log in before you can comment on or make changes to this bug.